Bug 611432 - Sorting on ResourceHub does not work
Summary: Sorting on ResourceHub does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 3.0.0
Hardware: All All
low
medium vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-05 09:03 UTC by Heiko W. Rupp
Modified: 2010-08-12 16:45 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:45:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Heiko W. Rupp 2010-07-05 09:03:50 UTC
Go to resouce hub, click on the table headers that are marked as link. See the table reload, but no (re-) sorting according to the selected column being done.

Comment 1 Heiko W. Rupp 2010-07-05 09:25:53 UTC
Console shows 
11:21:20,616 ERROR [PagedListDataModel] PageControlView[BrowseResourcesUIBean]: 
Received error[java.lang.IllegalArgumentException: 
org.hibernate.QueryException: could not resolve property: r of: 
org.rhq.core.domain.resource.Resource [SELECT resource
FROM org.rhq.core.domain.resource.Resource resource
WHERE ( resource.inventoryStatus = :inventoryStatus 
AND resource.resourceType.category = :resourceCategory )
ORDER BY resource.r.name ASC
]], resetting to PageControl[page=0, size=15]

Comment 2 Heiko W. Rupp 2010-07-06 15:09:20 UTC
a01f501 on release-3.0.0 branch

Comment 3 Corey Welton 2010-07-06 19:59:30 UTC
QA Verified - Sorting now appears to be working

Comment 4 Corey Welton 2010-08-12 16:45:31 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.